﻿using PersonnelDepartmentContracts.BindingModels;
using PersonnelDepartmentContracts.SearchModels;
using PersonnelDepartmentContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PersonnelDepartmentContracts.BusinessLogicContracts
{
	public interface IDealLogic
	{
		List<DealViewModel>? ReadList(DealSearchModel? model);
		DealViewModel? ReadElement(DealSearchModel model);
		bool Create(DealBindingModel model);
		bool Update(DealBindingModel model);
		bool Delete(DealBindingModel model);
		string SetTest(int count);
		string GetTest(int count);
		string DiffGetTest(int count);
		bool ClearList();
	}
}
