﻿using PersonnelDepartmentContracts.BindingModels;
using PersonnelDepartmentContracts.SearchModels;
using PersonnelDepartmentContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PersonnelDepartmentContracts.BusinessLogicContracts
{
	public interface IDepartmentLogic
	{
		List<DepartmentViewModel>? ReadList(DepartmentSearchModel? model);
		DepartmentViewModel? ReadElement(DepartmentSearchModel model);
		bool Create(DepartmentBindingModel model);
		bool Update(DepartmentBindingModel model);
		bool Delete(DepartmentBindingModel model);
	}
}
