﻿using PersonnelDepartmentContracts.BindingModels;
using PersonnelDepartmentContracts.SearchModels;
using PersonnelDepartmentContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PersonnelDepartmentContracts.BusinessLogicContracts
{
	public interface IPositionLogic
	{
		List<PositionViewModel>? ReadList(PositionSearchModel? model);
		PositionViewModel? ReadElement(PositionSearchModel model);
		bool Create(PositionBindingModel model);
		bool Update(PositionBindingModel model);
		bool Delete(PositionBindingModel model);
	}
}
