﻿using PersonnelDepartmentContracts.BindingModels;
using PersonnelDepartmentContracts.SearchModels;
using PersonnelDepartmentContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PersonnelDepartmentContracts.StoragesContracts
{
	public interface IDealStorage
	{
		List<DealViewModel> GetFullList();
		List<DealViewModel> GetFilteredList(DealSearchModel model);
		DealViewModel? GetElement(DealSearchModel model);
		DealViewModel? Insert(DealBindingModel model);
		DealViewModel? Update(DealBindingModel model);
		DealViewModel? Delete(DealBindingModel model);
		string SetTest(int count);
		string GetTest(int count);
		string DiffGetTest(int count);
		bool ClearList();
	}
}
