﻿using PersonnelDepartmentContracts.BindingModels;
using PersonnelDepartmentContracts.SearchModels;
using PersonnelDepartmentContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PersonnelDepartmentContracts.StoragesContracts
{
	public interface IPositionStorage
	{
		List<PositionViewModel> GetFullList();
		List<PositionViewModel> GetFilteredList(PositionSearchModel model);
		PositionViewModel? GetElement(PositionSearchModel model);
		PositionViewModel? Insert(PositionBindingModel model);
		PositionViewModel? Update(PositionBindingModel model);
		PositionViewModel? Delete(PositionBindingModel model);
	}
}
