﻿using PersonnelDepartmentContracts.BindingModels;
using PersonnelDepartmentContracts.SearchModels;
using PersonnelDepartmentContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PersonnelTypeContracts.StoragesContracts
{
	public interface ITypeStorage
	{
		List<TypeViewModel> GetFullList();
		List<TypeViewModel> GetFilteredList(TypeSearchModel model);
		TypeViewModel? GetElement(TypeSearchModel model);
		TypeViewModel? Insert(TypeBindingModel model);
		TypeViewModel? Update(TypeBindingModel model);
		TypeViewModel? Delete(TypeBindingModel model);
	}
}
