﻿using PersonnelDepartmentContracts.BindingModels;
using PersonnelDepartmentContracts.SearchModels;
using PersonnelDepartmentContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PersonnelDepartmentContracts.BusinessLogicContracts
{
	public interface ITypeLogic
	{
		List<TypeViewModel>? ReadList(TypeSearchModel? model);
		TypeViewModel? ReadElement(TypeSearchModel model);
		bool Create(TypeBindingModel model);
		bool Update(TypeBindingModel model);
		bool Delete(TypeBindingModel model);
	}
}
