﻿using PersonnelDepartmentContracts.BindingModels;
using PersonnelDepartmentContracts.SearchModels;
using PersonnelDepartmentContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PersonnelDepartmentContracts.StoragesContracts
{
	public interface IDepartmentStorage
	{
		List<DepartmentViewModel> GetFullList();
		List<DepartmentViewModel> GetFilteredList(DepartmentSearchModel model);
		DepartmentViewModel? GetElement(DepartmentSearchModel model);
		DepartmentViewModel? Insert(DepartmentBindingModel model);
		DepartmentViewModel? Update(DepartmentBindingModel model);
		DepartmentViewModel? Delete(DepartmentBindingModel model);
	}
}
