﻿using PersonnelDepartmentDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PersonnelDepartmentContracts.ViewModels
{
	public class DealViewModel : IDealModel
	{
		[DisplayName("Дата с")]
		public DateTime DateFrom { get; set; }
		[DisplayName("Дата по")]
		public DateTime DateTo { get; set; }
		public int PositionId { get; set; }
		[DisplayName("Должность")]
		public string PositionName { get; set; } = string.Empty;
		public int EmployeeId { get; set; }
		[DisplayName("ФИО Сотрудника")]
		public string EmployeeName { get; set; } = string.Empty;
		public int DepartmentId { get; set; }
		[DisplayName("Отдел")]
		public string DepartmentName { get; set; } = string.Empty;
		public int TypeId { get; set; }
		[DisplayName("Тип договора")]
		public string TypeName { get; set; } = string.Empty;
		[DisplayName("Номер")]
		public int Id { get; set; }
	}
}
